package de.ozgcloud.apilib.common.command;

import de.ozgcloud.apilib.common.command.OzgCloudCreateSubCommandsRequest.OzgCloudCreateSubCommandsRequestBuilder;
import de.ozgcloud.apilib.common.command.grpc.OzgCloudCommandTestFactory;

public class OzgCloudCreateSubCommandsRequestTestFactory {

	public static final String PARENT_ID = "parent-id";
	public static final String EXECUTION_MODE = "PARALLEL";
	public static final boolean COMPLETED_IF_SUBS_COMPLETED = true;

	public static OzgCloudCreateSubCommandsRequest create() {
		return createBuilder().build();
	}

	public static OzgCloudCreateSubCommandsRequestBuilder createBuilder() {
		return OzgCloudCreateSubCommandsRequest.builder()
			.parentId(PARENT_ID)
			.executionMode(EXECUTION_MODE)
			.completedIfSubsCompleted(COMPLETED_IF_SUBS_COMPLETED)
			.subCommand(OzgCloudCommandTestFactory.create());
	}
}
