package de.ozgcloud.apilib.vorgang;

import java.util.Optional;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.FormIdentification;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.OzgCloudVorgangQueryBuilder;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Query;

public class OzgCloudVorgangQueryTestFactory {

	public static final Query QUERY = QueryTestFactory.create();
	public static final String STATUS = LoremIpsum.getInstance().getWords(1);
	public static final FormIdentification FORM = FormIdentificationTestFactory.create();
	public static final String AKTENZEICHEN = UUID.randomUUID().toString();
	public static final String ORGANISATIONS_EINHEIT_ID = UUID.randomUUID().toString();

	public static OzgCloudVorgangQuery create() {
		return createBuilder()
				.build();
	}

	public static OzgCloudVorgangQueryBuilder createBuilder() {
		return OzgCloudVorgangQuery.builder()
				.aktenzeichen(Optional.of(AKTENZEICHEN))
				.form(Optional.of(FORM))
				.organisationsEinheitId(Optional.of(ORGANISATIONS_EINHEIT_ID))
				.status(Optional.of(STATUS))
				.query(Optional.of(QUERY));
	}
}
